Pull RequestsList pull requests

List pull requests

Returns pull requests in the documentation repository, filtered by state.

curl -X GET "https://api.documentationai.app/api/v1/pull-requests?state=open" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "pullRequests": [
    {
      "number": 42,
      "title": "example_string",
      "state": "example_string",
      "head": "example_string",
      "base": "example_string"
    }
  ],
  "count": 10
}
GET
/pull-requests
GET
Bearer Token
Bearer Tokenstring
Required

API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...

API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...
query
statestring

Filter by PR state

Options: open, closed, all
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...

Query Parameters

statestring

Filter by PR state

Allowed values:openclosedall

Responses

pullRequestsarray
countinteger